Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » EMF "Technology" (Ecore Tools, EMFatic, etc)  » RAP-EMF integration trouble(Problems installing EMF 2.6 in particular)
RAP-EMF integration trouble [message #530412] Thu, 29 April 2010 11:23 Go to next message
Aditya Gupta is currently offline Aditya Gupta
Messages: 9
Registered: April 2010
Junior Member
Hi,

I dont know if this is the right place to post questions about RAP, but since i couldnt find any other suitable link i posted it here.

I went through eclipse wiki article for RAP- EMF integration, but it was a little confusing. First it said that i need EMF 2.6 and RAP Tooling 1.3 to do the integration, but just a few line below it said that the plugins shouldn't be installed in the IDE as it could break it.

So I tried putting the EMF 2.6 files in the RAPTarget folder that i had created earlier to configure a Target Platform for running RAP applications. It didn't work.

Can any one please guide me how to use RAP esp. RAP-EMF integration. It looks wonderful as a concept, but I am struggling to leverage it.

Regards,
Aditya
Re: RAP-EMF integration trouble [message #530432 is a reply to message #530412] Thu, 29 April 2010 11:45 Go to previous messageGo to next message
Jonas Helming is currently offline Jonas Helming
Messages: 422
Registered: July 2009
Senior Member
Hi,
it worked for me this way:
http://unicase.blogspot.com/2010/04/emf-client-platform-on-r ap.html
Cheers
Jonas

Aditya Gupta wrote:
> Hi,
>
> I dont know if this is the right place to post questions about RAP, but
> since i couldnt find any other suitable link i posted it here.
>
> I went through eclipse wiki article for RAP- EMF integration, but it was
> a little confusing. First it said that i need EMF 2.6 and RAP Tooling
> 1.3 to do the integration, but just a few line below it said that the
> plugins shouldn't be installed in the IDE as it could break it.
>
> So I tried putting the EMF 2.6 files in the RAPTarget folder that i had
> created earlier to configure a Target Platform for running RAP
> applications. It didn't work.
>
> Can any one please guide me how to use RAP esp. RAP-EMF integration. It
> looks wonderful as a concept, but I am struggling to leverage it.
>
> Regards,
> Aditya
Re: RAP-EMF integration trouble [message #530433 is a reply to message #530412] Thu, 29 April 2010 11:46 Go to previous messageGo to next message
Ed Merks is currently offline Ed Merks
Messages: 26013
Registered: July 2009
Senior Member
Aditya,

You should use the EMF newsgroup/forum.

More comments below.


Aditya Gupta wrote:
> Hi,
>
> I dont know if this is the right place to post questions about RAP,
> but since i couldnt find any other suitable link i posted it here.
>
> I went through eclipse wiki article for RAP- EMF integration, but it
> was a little confusing. First it said that i need EMF 2.6 and RAP
> Tooling 1.3 to do the integration, but just a few line below it said
> that the plugins shouldn't be installed in the IDE as it could break it.
Yes, they need to be in the target platform against which you develop
your plugins, not installed in the IDE.
>
> So I tried putting the EMF 2.6 files in the RAPTarget folder that i
> had created earlier to configure a Target Platform for running RAP
> applications. It didn't work.
Only the RAP plugins would go there.
>
> Can any one please guide me how to use RAP esp. RAP-EMF integration.
> It looks wonderful as a concept, but I am struggling to leverage it.
Hopefully Kenn can provide a few more details.
>
> Regards,
> Aditya
Re: RAP-EMF integration trouble [message #530434 is a reply to message #530433] Thu, 29 April 2010 11:50 Go to previous messageGo to next message
Kenn Hussey is currently offline Kenn Hussey
Messages: 1618
Registered: July 2009
Senior Member
All,

Please see the detailed instructions in the New and Noteworthy page at
http://wiki.eclipse.org/EMF/New_and_Noteworthy/Helios#Suppor t_for_Rich_Ajax_Platform_.28RAP.29

Kenn

Ed Merks wrote:
> Aditya,
>
> You should use the EMF newsgroup/forum.
>
> More comments below.
>
>
> Aditya Gupta wrote:
>> Hi,
>>
>> I dont know if this is the right place to post questions about RAP,
>> but since i couldnt find any other suitable link i posted it here.
>>
>> I went through eclipse wiki article for RAP- EMF integration, but it
>> was a little confusing. First it said that i need EMF 2.6 and RAP
>> Tooling 1.3 to do the integration, but just a few line below it said
>> that the plugins shouldn't be installed in the IDE as it could break it.
> Yes, they need to be in the target platform against which you develop
> your plugins, not installed in the IDE.
>>
>> So I tried putting the EMF 2.6 files in the RAPTarget folder that i
>> had created earlier to configure a Target Platform for running RAP
>> applications. It didn't work.
> Only the RAP plugins would go there.
>>
>> Can any one please guide me how to use RAP esp. RAP-EMF integration.
>> It looks wonderful as a concept, but I am struggling to leverage it.
> Hopefully Kenn can provide a few more details.
>>
>> Regards,
>> Aditya
Re: RAP-EMF integration trouble [message #530509 is a reply to message #530434] Thu, 29 April 2010 16:54 Go to previous messageGo to next message
Aditya Gupta is currently offline Aditya Gupta
Messages: 9
Registered: April 2010
Junior Member
Hi,

I tried both approaches given by Jonas as well as Kenn, but I am not getting the option Rich Ajax Platform in the genmodel.

Is there any EMF Technology plugin that i have installed that is not letting this happen?

I am using Eclipse 3.5.1 and the compliance level of my genmodel is 6.0

Regards,
Aditya
Re: RAP-EMF integration trouble [message #530617 is a reply to message #530509] Fri, 30 April 2010 06:25 Go to previous message
Ed Merks is currently offline Ed Merks
Messages: 26013
Registered: July 2009
Senior Member
Aditya,

You do need to install EMF 2.6 in Eclipse 3.6 to get the IDE portions of
this support working.


Aditya Gupta wrote:
> Hi,
>
> I tried both approaches given by Jonas as well as Kenn, but I am not
> getting the option Rich Ajax Platform in the genmodel.
>
> Is there any EMF Technology plugin that i have installed that is not
> letting this happen?
>
> I am using Eclipse 3.5.1 and the compliance level of my genmodel is 6.0
>
> Regards,
> Aditya
Re: RAP-EMF integration trouble [message #622526 is a reply to message #530433] Thu, 29 April 2010 11:50 Go to previous message
Kenn Hussey is currently offline Kenn Hussey
Messages: 1618
Registered: July 2009
Senior Member
All,

Please see the detailed instructions in the New and Noteworthy page at
http://wiki.eclipse.org/EMF/New_and_Noteworthy/Helios#Suppor t_for_Rich_Ajax_Platform_.28RAP.29

Kenn

Ed Merks wrote:
> Aditya,
>
> You should use the EMF newsgroup/forum.
>
> More comments below.
>
>
> Aditya Gupta wrote:
>> Hi,
>>
>> I dont know if this is the right place to post questions about RAP,
>> but since i couldnt find any other suitable link i posted it here.
>>
>> I went through eclipse wiki article for RAP- EMF integration, but it
>> was a little confusing. First it said that i need EMF 2.6 and RAP
>> Tooling 1.3 to do the integration, but just a few line below it said
>> that the plugins shouldn't be installed in the IDE as it could break it.
> Yes, they need to be in the target platform against which you develop
> your plugins, not installed in the IDE.
>>
>> So I tried putting the EMF 2.6 files in the RAPTarget folder that i
>> had created earlier to configure a Target Platform for running RAP
>> applications. It didn't work.
> Only the RAP plugins would go there.
>>
>> Can any one please guide me how to use RAP esp. RAP-EMF integration.
>> It looks wonderful as a concept, but I am struggling to leverage it.
> Hopefully Kenn can provide a few more details.
>>
>> Regards,
>> Aditya
Re: RAP-EMF integration trouble [message #622528 is a reply to message #530434] Thu, 29 April 2010 16:54 Go to previous message
Aditya Gupta is currently offline Aditya Gupta
Messages: 9
Registered: April 2010
Junior Member
Hi,

I tried both approaches given by Jonas as well as Kenn, but I am not getting the option Rich Ajax Platform in the genmodel.

Is there any EMF Technology plugin that i have installed that is not letting this happen?

I am using Eclipse 3.5.1 and the compliance level of my genmodel is 6.0

Regards,
Aditya
Re: RAP-EMF integration trouble [message #622532 is a reply to message #622528] Fri, 30 April 2010 06:25 Go to previous message
Ed Merks is currently offline Ed Merks
Messages: 26013
Registered: July 2009
Senior Member
Aditya,

You do need to install EMF 2.6 in Eclipse 3.6 to get the IDE portions of
this support working.


Aditya Gupta wrote:
> Hi,
>
> I tried both approaches given by Jonas as well as Kenn, but I am not
> getting the option Rich Ajax Platform in the genmodel.
>
> Is there any EMF Technology plugin that i have installed that is not
> letting this happen?
>
> I am using Eclipse 3.5.1 and the compliance level of my genmodel is 6.0
>
> Regards,
> Aditya
Previous Topic:EMF Compare/Merge for ordered containment references
Next Topic:EMF Compare/Merge for ordered containment references
Goto Forum:
  


Current Time: Thu Aug 28 07:34:56 EDT 2014

Powered by FUDForum. Page generated in 0.10434 seconds